
#ifdef WIN32
	#include <windows.h>
	#pragma comment(lib, "Irrlicht.lib")
#endif

#include <irrlicht.h>


using namespace irr;
using namespace core;
using namespace video;
using namespace scene;
using namespace gui;

#ifdef WIN32
	int WINAPI WinMain(HINSTANCE hInst, HINSTANCE hPrevInst, LPSTR strCmdLine, int nShowCmd)
#else
	int main()
#endif
{
	IrrlichtDevice *device  = createDevice(EDT_OPENGL,dimension2d<s32>(320,240),16,false,false,false);
	IVideoDriver *driver    = device->getVideoDriver();
	ISceneManager* smgr     = device->getSceneManager();

	device->setWindowCaption(L"Irrlicht");//EChE^Cgݒ

	//Jݒ
	smgr->addCameraSceneNode(0, vector3df(0,0,-5), vector3df(0,0,0));//ʏJ

	//tHgݒ
	IGUIEnvironment *Env = device->getGUIEnvironment(); 
	IGUIFont* Font[4];
	Font[0] = Env->getBuiltInFont();
	Font[1] = Env->getFont("font.bmp");
	Font[2] = Env->getFont("fontcourier.bmp");
	Font[3] = Env->getFont("fonthaettenschweiler.bmp");

	while(device->run())
	{
		driver->beginScene(true,true,0xFF6060FF);

		Font[0]->draw(L"Hello Irrlicht",rect<s32>(16,16,0,0),0xFFFFFFFF);    
		Font[1]->draw(L"Hello Irrlicht",rect<s32>(16,32,0,0),0xFFFFFFFF);    
		Font[2]->draw(L"Hello Irrlicht",rect<s32>(16,48,0,0),0xFFFFFFFF);    
		Font[3]->draw(L"Hello Irrlicht",rect<s32>(16,64,0,0),0xFFFFFFFF);    

		//V[̕`
		smgr->drawAll();

		driver->endScene();
	}

	driver->drop();

	return 0;
}
